Quando a Microsoft decidiu que o Edge iria aderir ao Chromium, muitos pensaram que, finalmente, a compatibilidade do navegador com os serviços do Google seria total. No entanto, a alegria não durou muito tempo. Isso porque, usando o Google Docs, o navegador agora exibe uma mensagem que diz literalmente “A versão do navegador que você está usando não é mais suportada. Por favor, atualize para um navegador suportado”. Na lista de navegadores compatíveis, o Google lista o Chrome, o Firefox, o Safari, o Internet Explorer e o…Microsoft Edge (?!)

Depois de toda a controvérsia que surgiu a partir de casos anteriores, é normal que muitas pessoas pensem que o Google esteja prejudicando o Edge — assim os usuários continuariam usando o Chrome, que obviamente se integra a muitos serviços que a Microsoft removeu do Edge.

Para simplificar o problema, de acordo com os relatórios do gHacks, parece que tudo se trata de alterações que a Microsoft fez no useragent do browser. As mudanças impossibilitaram o Google de reconhecer o navegador. Pelo menos foi isso que a gigante das buscas alegou. O Microsoft Edge baseado no Chromium tem uma mudança automática de usuário para se identificar como Chromium em domínios nos quais essa troca possa favorecer a compatibilidade.

De qualquer forma, teremos que esperar para ver qual é o comportamento final dos aplicativos do Google com o Edge Chromium. É importante lembrar que problemas de compatibilidade em alguns ambientes são normais nas primeiras versões de navegadores e que eles tendem a ser corrigidos em atualizações posteriores.